> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/component-release-file-specification/4.2-file-format-specifications/4.2.4-identifier-file-specification.md).

# Identifier File Specification

This file provides a standardized way of associating alternative Identifiers from various schemes with SNOMED CT components.

At any point in time , an alternativeIdentifier within a particular scheme will be associated with one and only one SNOMED CT component. A SNOMED CT component may be associated with zero or mor e alternativeIdentifiers within a single scheme.

It is important to note that the SNOMED CT component and it' s alternativeIdentifiers all identify precisely the same real-world object.

Note: The Identifier file is not currently used in the SNOMED CT International Release as use of the more flexible Simple map type references set structure is preferred for links to alternative codes. The only known current use of this file is for internal identification of components during the content development process.

***

**Identifier file - Detailed Specification**

<table data-full-width="true"><thead><tr><th width="204.10546875">Field</th><th width="104.203125">Data type</th><th width="597.0562133789062">Purpose</th><th width="96.16796875">Mutable</th><th>PK*</th></tr></thead><tbody><tr><td>alternateIdentifier</td><td>String</td><td>String representation of the alternative Identifier in its native scheme.</td><td><mark style="color:red;"><strong>NO</strong></mark></td><td><mark style="color:green;"><strong>YES</strong></mark> (Full/Snapshot)</td></tr><tr><td>effectiveTime</td><td>Time</td><td>Specifies the inclusive date at which the alternative Identifier was associated with the SNOMED CT component.</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><p><mark style="color:green;"><strong>YES</strong></mark></p><p>(Full)</p><p><mark style="color:green;">Optional</mark> (Snapshot)</p></td></tr><tr><td>active</td><td>Boolean</td><td>Specifies whether the association was active or inactive from the point in time specified by the effectiveTime .</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr><tr><td>moduleId</td><td>SCTID</td><td><p>Identifies the source module that this association was created in.</p><p>Set to a child of <a href="http://snomed.info/id/900000000000443000">900000000000443000 |Module|</a> within the metadata hierarchy.</p></td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr><tr><td>identifierSchemeId</td><td>SCTID</td><td>Identifier of the concept enumeration value from the Metadata hierarchy that represents the scheme to which the Identifier value belongs. Set to a descendant of <a href="http://snomed.info/id/900000000000453004">900000000000453004 |Identifier scheme|</a> within the metadata hierarchy.</td><td><mark style="color:red;"><strong>NO</strong></mark></td><td><mark style="color:green;"><strong>YES</strong></mark> (Full/Snapshot)</td></tr><tr><td>referencedComponentId</td><td>SCTID</td><td>Uniquely identifies the SNOMED CT component with which the alternative Identifier is associated.</td><td><mark style="color:green;"><strong>YES</strong></mark></td><td><mark style="color:red;"><strong>NO</strong></mark></td></tr></tbody></table>

{% hint style="info" %}
PK\* indicates if the attribute is part of the primary key for that file/table.
{% endhint %}

Only one record with the same identifierSchemeId and alternateIdentifier fields will be current at any point in time. The current record will be the one with the most recent effectiveTime before or equal to the point in time under consideration.

If the active field of this record is false ('0'), then the association is inactive at that point in time. If the active field is true ('1'), then there is an identity at that point in time between the referencedComponentId (a SNOMED CT component) and the alternateIdentifier in the scheme identified by identifierSchemeId.

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=Identifier%20File%20Specification" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/component-release-file-specification/4.2-file-format-specifications/4.2.4-identifier-file-specification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
